Bug 45261 - EDITING: unbalanced distribution of text between columns
Summary: EDITING: unbalanced distribution of text between columns
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Page-Layout-Columns
  Show dependency treegraph
 
Reported: 2012-01-26 01:28 UTC by Paolo Benvenuto
Modified: 2020-10-06 03:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
unbalanced text in the 2 columns sections (306.71 KB, application/vnd.oasis.opendocument.text)
2012-01-26 01:28 UTC, Paolo Benvenuto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Benvenuto 2012-01-26 01:28:54 UTC
Created attachment 56170 [details]
unbalanced text in the 2 columns sections

The attacched doc includes a 2 columns section with the "uniformous distribution of content between columns" flag checked.

When I open it, the text isn't uniformously distributed between the 2 columns, the left column extends more than the right one.

I can get the columns correctly distribued this way:
- place the cursor at the beginning of the line following the two columns section (at the beginning of the all-1 word)
- backspace
- undo (ctl-z) => the columns are now balanced


Now save the doc:
- space - backspace (in order to be able to save: if you don't do this you aren't allowed to save because you haven't modified anything)
- save (ctl-s)
- close the doc
- reopen it -> the columns are unbalanced again!!!

This bug was already present in openoffice, it's a long time bug.

It's quite annoying!
Comment 1 A (Andy) 2013-05-06 20:44:19 UTC
not reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Does this issue still persist for you with the latest release of LO?
Comment 2 Paolo Benvenuto 2013-05-06 21:34:12 UTC
4.0.2.2 (Build ID: 400m0(Build:2))

still present
Comment 3 Paolo Benvenuto 2013-05-06 21:34:27 UTC
ubuntu linux
Comment 4 Paolo Benvenuto 2013-05-06 21:34:43 UTC
64 bit
Comment 5 Paolo Benvenuto 2013-05-06 21:34:59 UTC
almost certainly in 32bit too
Comment 6 A (Andy) 2013-05-06 21:47:47 UTC
@Paolo: Thank you very much for your very fast reply!

so it is maybe a Linux issue only -> changed the platform to Linux as long as nobody else confirms this with Windows
Comment 7 Paolo Benvenuto 2013-10-24 11:07:57 UTC
still present in 4.1.2.3 linux
Comment 8 Paolo Benvenuto 2013-10-25 07:14:06 UTC
Any idea what could this bug depend on or what file could be located in?
Comment 9 QA Administrators 2015-04-01 14:42:16 UTC Comment hidden (obsolete)
Comment 10 Paolo Benvenuto 2015-04-07 12:36:14 UTC
Still present in linux ubuntu 14.04, lo 4.4.2 from ppa
Comment 11 Buovjaga 2015-06-13 12:32:39 UTC
Confirmed.
If I go to Format - Columns, uncheck the Evenly distribute option, ok, then go back and check it, it works ok. Saving & reloading brings it back to the non-even state.

Ubuntu 15.04 64-bit 
Version: 5.1.0.0.alpha1+
Build ID: a9286c302e96258f32d13fb66aced25750e82cd3
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-06-13_00:35:08
Locale: en-US (en_US.UTF-8)

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: d56b125f6c6c18ac40712cefc3cec06530750e15
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-13_07:08:43
Locale: fi-FI (fi_FI)
Comment 12 QA Administrators 2016-09-20 10:01:21 UTC Comment hidden (obsolete)
Comment 13 Paolo Benvenuto 2016-09-20 12:43:43 UTC
still present in 5.1
Comment 14 Xisco Faulí 2017-09-29 08:52:41 UTC Comment hidden (obsolete)
Comment 15 Paolo Benvenuto 2017-09-29 12:02:14 UTC
confirmed in 5.4.1.2 ubuntu
Comment 16 QA Administrators 2018-09-30 02:47:23 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2020-10-06 03:44:46 UTC
Dear Paolo Benvenuto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug